Subject: bug#62906: closed (Re: bug#62906: [PATCH] gnu: python-pytest-trio: Disable tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Apr 2023 02:13:03 +0000

Your bug report

#62906: [PATCH] gnu: python-pytest-trio: Disable tests.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62906: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62906
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62906: [PATCH] gnu: python-pytest-trio: Disable tests.
From: Maxim Cournoyer <[email-masked]>
To: jgart <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Apr 2023 22:12:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

jgart <[email-masked]> writes:

> See the following GitHub issue on the project page:
> https://github.com/python-trio/pytest-trio/issues/122
>
> * gnu/packages/python-check.scm (python-pytest-trio)[arguments]: Disable
> broken tests.
> ---
>
> Hi,
>
> pytest-trio currently causes guix pull to fail because the tests are broken.
>
> I have diabled the tests and linked the associated issue from the project page detailing more.
>
> all best,

I don't understand how that was breaking 'guix pull' for you, it
shouldn't have played a role.  I suspect extra channels.

I've pushed an updated to 0.8.0, with two tests disable in commit
27a4bfbd07022ebabc352a419c7588fcfc881d88.  Closing!

-- 
Thanks,
Maxim

Subject: [PATCH] gnu: python-pytest-trio: Disable tests.
From: jgart <[email-masked]>
To: [email-masked]
Cc: jgart <[email-masked]>
Date: Mon, 17 Apr 2023 10:27:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

See the following GitHub issue on the project page:
https://github.com/python-trio/pytest-trio/issues/122

* gnu/packages/python-check.scm (python-pytest-trio)[arguments]: Disable
broken tests.
---

Hi,

pytest-trio currently causes guix pull to fail because the tests are broken.

I have diabled the tests and linked the associated issue from the project page detailing more.

all best,

jgart

 gnu/packages/python-check.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 1046602800..613fa23a99 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -1095,7 +1095,9 @@ (define-public python-pytest-trio
         (base32 "0c8cqf9by2884riksrqymqfp2g1d2d798a2zalcw9hmf34c786y0"))))
     (build-system python-build-system)
     (arguments
-     `(#:phases
+     `(;; https://github.com/python-trio/pytest-trio/issues/122
+       #:tests? #f ; Tests are currently broken.
+       #:phases
        (modify-phases %standard-phases
          (replace 'check
            (lambda* (#:key tests? inputs outputs #:allow-other-keys)
-- 
2.39.2